# Package org.apache.felix.scrplugin

Interface Summary
Log: This interface supplies the API for providing feedback to the user from SCR descriptor generation process using whatever means is implemented.
Source: Description of a source to be parsed.

Class Summary
Options: Options for the `SCRDescriptorGenerator`
Project: Project description for the `SCRDescriptorGenerator`
Result: The result of the `SCRDescriptorGenerator`.
SCRDescriptorGenerator: The `SCRDescriptorGenerator` class does the hard work of generating the SCR descriptors.

Enum Summary
SpecVersion: An enumeration for all available spec versions.

Exception Summary
SCRDescriptorException
SCRDescriptorFailureException